declare namespace HttpInterceptor {
    type Type = 'request' | 'response';
    type ClearInput = {
        type: Type;
    };
    type EjectInput = ClearInput & {
        name: string;
    };
    type UseInput = EjectInput & {
        success: (response: any) => any | Promise<any>;
        error: (error: any) => any | Promise<any>;
    };
}
interface HttpInterceptor {
    useInterceptor(input: HttpInterceptor.UseInput): void;
    ejectInterceptor(input: HttpInterceptor.EjectInput): void;
    clearAllInterceptors(input: HttpInterceptor.ClearInput): void;
}

export { HttpInterceptor };
