declare namespace Http {
    type Route = {
        alias: string;
        value: any;
    };
    type Query = {
        name: string;
        value: any;
    };
    type ResponseType = 'arraybuffer' | 'blob' | 'document' | 'json' | 'text' | 'stream';
    type RouteInput = {
        url: string;
        routeParams: Http.Route[];
    };
    type RouteOutput = string;
    type QueryInput = {
        queryParams?: Http.Query[];
    };
    type QueryOutput = Record<string, string> | undefined;
}
interface HttpParams {
    resolveRouteParams(input: Http.RouteInput): Http.RouteOutput;
    resolveQueryParams(input: Http.QueryInput): Http.QueryOutput;
}

export { Http, HttpParams };
