import { HttpCache } from '../http-cache.js';
import { HttpHeaders } from '../http-headers.js';
import { Http } from '../http-params.js';
import { HttpResponse } from '../http-response.js';
import '../http-client-props.js';

declare namespace HttpGet {
    type Input = {
        timeout?: number;
        baseURL?: string;
        url: string;
        headers?: HttpHeaders;
        routeParams?: Http.Route[];
        queryParams?: Http.Query[];
        responseType?: Http.ResponseType;
    };
}
interface HttpGetClient {
    get<R = any>(input: HttpGet.Input, cache?: HttpCache.Props | false): Promise<HttpResponse<R>>;
}

export { HttpGet, HttpGetClient };
