import { HttpCache } from '../http-cache.js';
import { HttpHeaders } from '../http-headers.js';
import { Http } from '../http-params.js';
import { HttpResponse } from '../http-response.js';
import '../http-client-props.js';

declare namespace HttpPost {
    type Input<D> = {
        timeout?: number;
        baseURL?: string;
        url: string;
        data: D;
        headers?: HttpHeaders;
        routeParams?: Http.Route[];
        queryParams?: Http.Query[];
        responseType?: Http.ResponseType;
    };
}
interface HttpPostClient {
    post<D = any, R = any>(input: HttpPost.Input<D>, cache?: HttpCache.Props | false): Promise<HttpResponse<R>>;
}

export { HttpPost, HttpPostClient };
